## ros-iron-robot-localization 3.5.0

=== debian/changelog ===
ros-iron-robot-localization (3.5.0-3jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Tom Moore <ayrton04@gmail.com>  Thu, 20 Apr 2023 07:52:41 -0000

ros-iron-robot-localization (3.3.2-3jammy) jammy; urgency=high

  * Port PR #753 <https://github.com/cra-ros-pkg/robot_localization/issues/753> and #728 <https://github.com/cra-ros-pkg/robot_localization/issues/728> to ROS2 version (#765 <https://github.com/cra-ros-pkg/robot_localization/issues/765>)
    * compiling version of commit #753 <https://github.com/cra-ros-pkg/robot_localization/issues/753> and #728 <https://github.com/cra-ros-pkg/robot_localization/issues/728> ported to ros2 rolling
    * format fixes
    * fix time source disagreement by converting to seconds beforehand, append parameter usage, fix linting
    * fix linting and uncrustify
  * Adding support for setting diagonals for covariance matrices (#755 <https://github.com/cra-ros-pkg/robot_localization/issues/755>)
  * Fixing and cleaning up interface tests (#754 <https://github.com/cra-ros-pkg/robot_localization/issues/754>)
    * Fixing and cleaning up interface tests
  * Linting and header cleanup, part 1 (#752 <https://github.com/cra-ros-pkg/robot_localization/issues/752>)
    * Header cleanup and logging fixes
  * UKF update (#751 <https://github.com/cra-ros-pkg/robot_localization/issues/751>)
    * Pulling UKF changes from Noetic
    * Adding a reset service to make tests more deterministic
  * Fix angles dependency (#747 <https://github.com/cra-ros-pkg/robot_localization/issues/747>)
    * Add angles to CMakeLists.txt
  * Using angles library to normalize angles (#739 <https://github.com/cra-ros-pkg/robot_localization/issues/739>)
    * Using angles library for innovation angle normalization
  * Read predict_to_current_time from ROS parameters (#737 <https://github.com/cra-ros-pkg/robot_localization/issues/737>)
    Co-authored-by: Zygfryd Wieszok <mailto:zwieszok@autonomous-systems.pl>
  * Fixed state history reversion (#736 <https://github.com/cra-ros-pkg/robot_localization/issues/736>)
    Co-authored-by: Zygfryd Wieszok <mailto:zwieszok@autonomous-systems.pl>
  * Fixing code style divergence for ament_uncrustify in main ROS2 branch (#743 <https://github.com/cra-ros-pkg/robot_localization/issues/743>)
  * This fixes #732 <https://github.com/cra-ros-pkg/robot_localization/issues/732> (broadcast_cartesian_transform) (#733 <https://github.com/cra-ros-pkg/robot_localization/issues/733>)
  * Contributors: Anish, Haoguang Yang, Marek Piechula, RoboTech Vision, Tom Moore, Tony Najjar, Zygfryd Wieszok

 -- Tom Moore <ayrton04@gmail.com>  Sat, 10 Dec 2022 16:00:00 -0000

ros-iron-robot-localization (3.3.1-3jammy) jammy; urgency=high

  * Moving to C++17 support (#725 <https://github.com/cra-ros-pkg/robot_localization/issues/725>)
  * SHARED linking for Geographiclib (#624 <https://github.com/cra-ros-pkg/robot_localization/issues/624>) (#712 <https://github.com/cra-ros-pkg/robot_localization/issues/712>)
    * remove GeographicLib specific linking option
    Co-authored-by: Achmad Fathoni <mailto:fathoni.id@gmail.com>
  * Contributors: Stephan Sundermann, Tom Moore

 -- Tom Moore <ayrton04@gmail.com>  Thu, 24 Feb 2022 16:00:00 -0000

ros-iron-robot-localization (2.4.0-3jammy) jammy; urgency=high

  * Updated documentation
  * Added reset_on_time_jump option
  * Added feature to optionally publish utm frame as parent in navsat_transform_node
  * Moved global callback queue reset
  * Added initial_state parameter and documentation
  * Fixed ac/deceleration gains default logic
  * Added gravity parameter
  * Added delay and throttle if tf lookup fails
  * Fixed UKF IMUTwistBasicIO test
  * Added transform_timeout parameter
  * Set gps_odom timestamp before tf2 lookuptransform
  * Removed non-portable sincos calls
  * Simplified logic to account for correlated error
  * Added dynamic process noise covariance calculation
  * Fixed catkin_package Eigen warning
  * Added optional publication of acceleration state
  * Contributors: Brian Gerkey, Enrique Fernandez, Jochen Sprickerhof, Rein Appeldoorn, Simon Gene Gottlieb, Tom Moore

 -- Tom Moore <ayrton04@gmail.com>  Sun, 11 Jun 2017 16:00:00 -0000

ros-iron-robot-localization (2.3.1-3jammy) jammy; urgency=high

  * Adding gitignore
  * Adding remaining wiki pages
  * Adding config and prep pages
  * Adding navsat_transform_node documentation
  * use_odometry_yaw fix for n_t_n
  * Fixing issue with manual pose reset when history is not empty
  * Getting inverse transform when looking up robot's pose.
  * Sphinx documentation
  * Removing forward slashes from navsat_transform input topics for template launch file
  * Adding example launch and parameter files for a two-level EKF setup with navsat_transform_node
  * Adding yaml file for navsat_transform_node, and moving parameter documentation to it.
  * Updating EKF and UKF parameter templates with usage comments
  * Contributors: Tom Moore, asimay

 -- Tom Moore <ayrton04@gmail.com>  Wed, 26 Oct 2016 16:00:00 -0000

ros-iron-robot-localization (2.3.0-3jammy) jammy; urgency=high

  * Fixed issues with datum usage and frame_ids
  * Fixed comment for wait_for_datum
  * Fixing issue with non-zero navsat sensor orientation offsets
  * Fixing issue with base_link->gps transform wrecking the 'true' UTM position computation
  * Using correct covariance for filtered GPS
  * Fixed unitialized odometry covariance bug
  * Added filter history and measurement queue behavior
  * Changing output timestamp to more accurately use the time stamp of the most recently-processed measurement
  * Added TcpNoDelay()
  * Added parameter to make transform publishing optional
  * Fixed differential handling for pose data so that it doesn't care about the message's frame_id
  * Updated UKF config and launch
  * Added a test case for the timestamp diagnostics
  * Added reporting of bad timestamps via diagnostics

